<template>
  <div class="one__photo__template">
    <div class="one__photo__template__image"></div>
    <div class="one__photo__template__content">
      <div
        class="one__photo__template__content__title"
        :style="{ color: settings.find((item) => item.id === 'title').color }"
      >
        {{ settings.find((item) => item.id === "title").value }}
      </div>
      <div
        class="one__photo__template__content__block"
        :style="{
          color: settings.find((item) => item.id === 'description_left').color,
        }"
      >
        {{ settings.find((item) => item.id === "description_left").value }}
      </div>
      <div
        class="one__photo__template__content__block"
        :style="{
          color: settings.find((item) => item.id === 'description_right').color,
        }"
      >
        {{ settings.find((item) => item.id === "description_right").value }}
      </div>
    </div>
    <div class="one__photo__template__footer">
      <div class="one__photo__template__footer__info">
        <div class="one__photo__template__footer__logo">
          <img src="../../../assets/logo/logo_solo_dark.svg" alt="" />
        </div>
        <div class="one__photo__template__footer__name">
          <img src="../../../assets/logo/made_with_dark.svg" alt="" />
        </div>
        <div class="one__photo__template__footer__number">1268568720</div>
      </div>
      <div class="one__photo__template__footer__qr">
        <img
          src="../../../assets/templates/qr_code_dark.svg"
          width="52px"
          height="52px"
          alt=""
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "ApplicationTemplate",
  data() {
    return {
      select_image: null,
    };
  },
  methods: {
    selectSetting(setting) {
      this.select_image = setting;
      this.$emit("selectSetting", setting.id);
    },
  },
  props: {
    settings: {
      Array,
    },
  },
};
</script>

<style scoped lang="scss">
.one__photo__template {
  width: 1112px;
  height: 1626px;
  padding: 64px;
  background-color: $light-primary;
  overflow: hidden;
  position: relative;
  &__image {
    width: 100%;
    height: 696px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 0 64px;
    overflow: hidden;
    background: red;
  }
  &__content {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    &__title {
      width: 100%;
      font-weight: 800;
      font-size: 48px;
      line-height: 120%;
      margin: 0 0 48px;
      font-feature-settings: "pnum" on, "lnum" on;
      max-height: 60px;
      overflow: hidden;
      word-break: break-word;
      white-space: pre-wrap;
      text-indent: 0;
    }
    &__block {
      width: 48%;
      font-weight: 500;
      font-size: 24px;
      line-height: 130%;
      max-height: 685px;
      font-feature-settings: "pnum" on, "lnum" on;
      overflow: hidden;
      word-break: break-word;
      white-space: pre-wrap;
      text-indent: 0;
    }
  }
  &__footer {
    width: calc(100% - 128px);
    position: absolute;
    bottom: 64px;
    left: 0;
    z-index: 2;
    padding: 0 64px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    &__info {
      display: flex;
      align-items: stretch;
      justify-content: flex-start;
    }
    &__name {
      margin: 0 64px;
    }
    &__number {
      font-weight: 500;
      font-size: 24px;
      line-height: 108.4%;
      font-feature-settings: "pnum" on, "lnum" on;
      color: $dark-primary;
    }
  }
}
</style>
